Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  abstract class Delambdafy extends SubComponent with Transform with TypingTransformers with TreeDSL with TypeAdaptingTransformer

  This transformer is responsible for preparing Function nodes for runtime, by translating to a tree that will be converted to an invokedynamic by the backend.

  This transformer is responsible for preparing Function nodes for runtime, by translating to a tree that will be converted to an invokedynamic by the backend.

  The main assumption it makes is that a Function {args => body} has been turned into {args => liftedBody()} where lifted body is a top level method that implements the body of the function. Currently Uncurry is responsible for that transformation.

  From this shape of Function, Delambdafy will create:

  An application of the captured arguments to a fictional symbol representing the lambda factory. This will be translated by the backed into an invokedynamic using a bootstrap method in JDK8's `LambdaMetaFactory`. The captured arguments include `this` if `liftedBody` is unable to be made STATIC.

  Definition Classes
    transform
- CODE
- DelambdafyTransformer
- FreeVarTraverser
- LambdaMetaFactoryCapable
- Phase
- SkipPhase
- StdPhase
- ThisReferringMethodsTraverser
- TypeAdapter
- TypingTransformer

c

scala.tools.nsc.transform.Delambdafy

# SkipPhase

###

#### class SkipPhase extends StdPhase

Source
  Delambdafy.scala

Linear Supertypes
Delambdafy.StdPhase, GlobalPhase, reflect.internal.Phase, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SkipPhase
2. StdPhase
3. GlobalPhase
4. Phase
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SkipPhase(prev: nsc.Phase)

### Type Members

1.  type Id = Int
   Definition Classes
     Phase

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SkipPhase toany2stringadd[SkipPhase] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SkipPhase, B)
   Implicit
     This member is added by an implicit conversion from SkipPhase toArrowAssoc[SkipPhase] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def apply(unit: Global.CompilationUnit): Unit
   Definition Classes
     SkipPhase → GlobalPhase
7.  final def applyPhase(unit: Global.CompilationUnit): Unit
   Definition Classes
     GlobalPhase
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  final val assignsFields: Boolean
   Definition Classes
     Phase
10.  def cancelled(unit: Global.CompilationUnit): Boolean

    Is current phase cancelled on this unit?

    Is current phase cancelled on this unit?

    Definition Classes
      GlobalPhase
11.  def checkable: Boolean
    Definition Classes
      Phase
12.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  def description: String
    Definition Classes
      Phase
14.  def ensuring(cond: (SkipPhase) => Boolean, msg: => Any): SkipPhase
    Implicit
      This member is added by an implicit conversion from SkipPhase toEnsuring[SkipPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: (SkipPhase) => Boolean): SkipPhase
    Implicit
      This member is added by an implicit conversion from SkipPhase toEnsuring[SkipPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean, msg: => Any): SkipPhase
    Implicit
      This member is added by an implicit conversion from SkipPhase toEnsuring[SkipPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean): SkipPhase
    Implicit
      This member is added by an implicit conversion from SkipPhase toEnsuring[SkipPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(other: Any): Boolean
    Definition Classes
      Phase → AnyRef → Any
20.  final val erasedTypes: Boolean
    Definition Classes
      Phase
21.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
22.  def flagMask: Long
    Definition Classes
      Phase
23.  final val flatClasses: Boolean
    Definition Classes
      Phase
24.  val fmask: Long
    Definition Classes
      Phase
25.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SkipPhase toStringFormat[SkipPhase] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
26.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  def hasNext: Boolean
    Definition Classes
      Phase
28.  def hashCode(): Int
    Definition Classes
      Phase → AnyRef → Any
29.  val id: Id
    Definition Classes
      Phase
30.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
31.  def iterator: collection.Iterator[reflect.internal.Phase]
    Definition Classes
      Phase
32.  def keepsTypeParams: Boolean
    Definition Classes
      Phase
33.  def name: String
    Definition Classes
      StdPhase → Phase
34.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
35.  def newFlags: Long
    Definition Classes
      StdPhase → Phase
36.  def next: reflect.internal.Phase
    Definition Classes
      Phase
37.  def nextFlags: Long
    Definition Classes
      StdPhase → Phase
38.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
39.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
40.  val prev: reflect.internal.Phase
    Definition Classes
      Phase
41.  final val refChecked: Boolean
    Definition Classes
      Phase
42.  def run(): Unit
    Definition Classes
      GlobalPhase → Phase
43.  def shouldSkipThisPhaseForJava: Boolean
    Attributes
      protected
    Definition Classes
      GlobalPhase
44.  final val specialized: Boolean
    Definition Classes
      Phase
45.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
46.  def toString(): String
    Definition Classes
      Phase → AnyRef → Any
47.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
48.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
49.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  final def withCurrentUnit(unit: Global.CompilationUnit)(task: => Unit): Unit
   Definition Classes
     GlobalPhase
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13) Unused, inlined in applyPhase

2.  final def withCurrentUnitNoLog(unit: Global.CompilationUnit)(task: => Unit): Unit
   Definition Classes
     GlobalPhase
   Annotations
     @inline() @deprecated
   Deprecated

     (Since version 2.13) Unused, see withCurrentUnit

3.  def →[B](y: B): (SkipPhase, B)
   Implicit
     This member is added by an implicit conversion from SkipPhase toArrowAssoc[SkipPhase] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Delambdafy.StdPhase

### Inherited from GlobalPhase

### Inherited from reflect.internal.Phase

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromSkipPhase to any2stringadd[SkipPhase]

### Inherited by implicit conversion StringFormat fromSkipPhase to StringFormat[SkipPhase]

### Inherited by implicit conversion Ensuring fromSkipPhase to Ensuring[SkipPhase]

### Inherited by implicit conversion ArrowAssoc fromSkipPhase to ArrowAssoc[SkipPhase]

### Ungrouped